SystemPropertiesAuthenticator (Grails 6.0.0)

Package: grails.build.proxy

## [Groovy] Class SystemPropertiesAuthenticator

- grails.build.proxy.SystemPropertiesAuthenticator

-     @groovy.transform.CompileStatic
      class SystemPropertiesAuthenticator
      extends java.net.Authenticator

  An Authenticator that authenticates via System properties

  Authors:
    Graeme Rocher
  Since:
    3.0.8

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SystemPropertiesAuthenticator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.net.PasswordAuthentication` | `getPasswordAuthentication()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.net.Authenticator` | `java.net.Authenticator#requestPasswordAuthenticationInstance(java.lang.String, java.net.InetAddress, int, java.lang.String, java.lang.String, java.lang.String, java.net.URL, java.net.Authenticator$RequestorType), java.net.Authenticator#requestPasswordAuthentication(java.net.Authenticator, java.lang.String, java.net.InetAddress, int, java.lang.String, java.lang.String, java.lang.String, java.net.URL, java.net.Authenticator$RequestorType), java.net.Authenticator#requestPasswordAuthentication(java.lang.String, java.net.InetAddress, int, java.lang.String, java.lang.String, java.lang.String, java.net.URL, java.net.Authenticator$RequestorType), java.net.Authenticator#requestPasswordAuthentication(java.net.InetAddress, int, java.lang.String, java.lang.String, java.lang.String), java.net.Authenticator#requestPasswordAuthentication(java.lang.String, java.net.InetAddress, int, java.lang.String, java.lang.String, java.lang.String), java.net.Authenticator#setDefault(java.net.Authenticator), java.net.Authenticator#getDefault(), java.net.Authenticator#wait(long), java.net.Authenticator#wait(long, int), java.net.Authenticator#wait(), java.net.Authenticator#equals(java.lang.Object), java.net.Authenticator#toString(), java.net.Authenticator#hashCode(), java.net.Authenticator#getClass(), java.net.Authenticator#notify(), java.net.Authenticator#notifyAll()`

- - ### Constructor Detail

    - #### SystemPropertiesAuthenticator()

  - ### Method Detail

    - #### @java.lang.Override protected java.net.PasswordAuthentication getPasswordAuthentication()